Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# SpecialActions Class Reference

A generic class for SpecialActions. More...

`#include <SpecialActions.h>`

Inheritance diagram for SpecialActions:

[legend]
Collaboration diagram for SpecialActions:

[legend]
List of all members.

## Public Member Functions
| SpecialActions (const SpecialActionsInterfaces &interfaces)
virtual bool | executeParameterized (SpecialActionRequest specialActionRequest, JointData &jointData)=0
| Executes the requested special action.
virtual bool | specialActionIsExecutableInWalkingCycle (int specialActionID, double walkCycle)=0
virtual | ~SpecialActions ()
| Destructor.
## Private Member Functions
virtual void | execute ()
| That function is not used but has to be implemented.

## Detailed Description

A generic class for SpecialActions.

It generates JointData and OdometryData according to current MotionRequest executing special actions.

Definition at line 66 of file SpecialActions.h.

## Constructor & Destructor Documentation

SpecialActions::SpecialActions | ( | const SpecialActionsInterfaces & | interfaces | ) | `[inline]`

| Definition at line 73 of file SpecialActions.h.

virtual SpecialActions::~SpecialActions | ( |  | ) | `[inline, virtual]`

| Destructor. Definition at line 94 of file SpecialActions.h.

## Member Function Documentation

virtual bool SpecialActions::executeParameterized | ( | SpecialActionRequest | specialActionRequest,
|  | JointData & | jointData
| ) | `[pure virtual]`

  | Executes the requested special action. Parameters:
  specialActionRequest | The special action to be executed
  jointData | stores calculated frame
Returns: true if next set should be calculated by SpecialActions false if change to other module can occur Implemented in GT2003MotionNetSpecialActions. Referenced by GT2005MotionControl::execute().

virtual bool SpecialActions::specialActionIsExecutableInWalkingCycle | ( | int | specialActionID,
|  | double | walkCycle
| ) | `[pure virtual]`

| Implemented in GT2003MotionNetSpecialActions. Referenced by GT2005MotionControl::determineMotionControlState().

virtual void SpecialActions::execute | ( |  | ) | `[inline, private, virtual]`

| That function is not used but has to be implemented. Reimplemented from Module. Definition at line 98 of file SpecialActions.h.

The documentation for this class was generated from the following file:

- Modules/SpecialActions/SpecialActions.h